--===============================================
-- FUNCTIONS
--===============================================
local bdUI, c, l = unpack(select(2, ...))
local mod = bdUI:get_module("Maps")


--===============================================
-- Core functionality
-- place core functionality here
--===============================================

--=============================================
-- Initialize function
--=============================================
function mod:initialize()
	config = mod:get_save()
	if (not config.enabled) then return false end

	mod:create_minimap()
	mod:create_button_frame()
	mod:worldmap_coords()
	mod:create_objective_tracker()
end
